#
# spec file for package python-daiquiri
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-daiquiri
Version:        1.2.1
Release:        lp150.1.3
Summary:        Library to configure Python logging
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jd/daiquiri
Source:         https://files.pythonhosted.org/packages/source/d/daiquiri/daiquiri-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  python-rpm-macros
Requires:       python-python-json-logger
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
The daiquiri library provides a way to configure logging. It also
provides some custom formatters and handlers.

%prep
%setup -q -n daiquiri-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Aug  8 2017 jengelh@inai.de
- Use slightly longer description from README.rst.
  Drop subjective wording.
* Tue Aug  8 2017 tbechtold@suse.com
- fix Requires
* Fri Jul 28 2017 tbechtold@suse.com
- Initial packaging (version 1.2.1)
